.header {
	box-shadow: 0 0 15px rgba(0, 0, 0, 0.3);
	z-index: 1000;
	position: fixed;
	top: 0;
	width: 100%;
	background-color: rgba(255, 255, 255, 0.9);
	&__navbar {
		padding: 0px 20px;
		display: flex;
		justify-content: space-between;
		align-items: center;
		position: relative;
		&__logo {
			img {
				width: 50px;
			}
		}
		&__list {
			position: absolute;
			top: 50%;
			left: 40%;
			transform: translate(-50%, -50%);
			@include MediaQuery($sm) {
				display: none;
			}
			@include MediaQuery($md) {
				left: 50%;
			}
			ul {
				list-style: none;
				li {
					display: inline-block;
					margin-right: 20px;
					a {
						text-decoration: none;
						color: $textBlack;
						transition: all 0.2s;
						font-size: $fzHeader;
						font-weight: $fwMid;
						&:hover {
							color: $textPrimary;
						}
					}
				}
			}
		}
		&__user {
			display: flex;
			align-items: center;
			@include MediaQuery($sm) {
				display: none;
			}
			.user__logged {
				display: flex;
				align-items: center;
				border-right: 1px solid $bgBorder;
				padding-right: 50px;
				&__profile {
					display: flex;
					width: 45px;
					height: 45px;
					position: relative;
					background-color: #e9e9e9;
					border-radius: 50%;
					&--out {
						position: absolute;
						top: 25%;
						right: -50%;
						width: 45px;
						height: 25px;
						padding-left: 15px;

						text-align: center;
						background-color: rgba(136, 135, 135, 0.5);
						border: 1px solid rgba(168, 167, 167, 0.5);
						-webkit-clip-path: polygon(75% 0, 100% 50%, 75% 100%, 0 100%, 25% 50%, 0 0);
						clip-path: polygon(75% 0, 100% 50%, 75% 100%, 0 100%, 0 0);
						-webkit-transition: all 0.7s;
						transition: all 0.4s;
						display: block;

						i {
							color: white;
							cursor: pointer;
						}
					}
					&:hover {
						.user__logged__profile--btn {
							left: 100%;
							opacity: 1;
							visibility: visible;
						}
						.user__logged__profile--out {
							opacity: 0;
						}
					}
					&--btn {
						position: absolute;
						top: 0;
						left: 0;
						text-align: center;
						width: 45px;
						height: 45px;
						line-height: 50px;
						cursor: pointer;
						background-color: rgba(136, 135, 135, 0.5);
						border: 1px solid rgba(168, 167, 167, 0.5);
						margin-left: -15%;
						opacity: 0;
						visibility: hidden;
						-webkit-clip-path: polygon(75% 0, 100% 50%, 75% 100%, 0 100%, 25% 50%, 0 0);
						clip-path: polygon(75% 0, 100% 50%, 75% 100%, 0 100%, 25% 50%, 0 0);
						-webkit-transition: all 0.7s;
						transition: all 0.6s;
						i {
							font-size: 25px;
							margin-left: 10px;
							color: $textWhite;
						}
					}
				}
				&__name {
					color: $textUser;
					font-size: $fzHeader;
					margin: 0px 10px;
					transition: all 0.5s;
				}
				&__setting {
					height: 100%;
					line-height: 50%;
					padding-right: 5px;
					i {
						font-size: 25px;
						color: $textPrimary;
					}
				}
			}
			.user__login {
				border-right: 1px solid $bgBorder;
				a {
					display: flex;
					align-items: center;
					color: $textUser;
					text-decoration: none;
					transition: all 0.5s;
					&:hover {
						color: $textPrimary;
						span {
							color: $textPrimary;
						}
					}
					i {
						font-size: $fzH1;
					}
					span {
						color: $textUser;
						font-size: $fzHeader;
						margin: 0 10px 0 5px;
						transition: all 0.1s;
					}
				}
			}
			.user__signUp {
				a {
					display: flex;
					align-items: center;
					color: $textUser;
					text-decoration: none;
					transition: all 0.5s;
					&:hover {
						color: $textPrimary;
						span {
							color: $textPrimary;
						}
					}
					i {
						font-size: $fzH1;
					}
					span {
						color: $textUser;
						font-size: $fzHeader;
						margin-left: 10px;
						transition: all 0.1s;
					}
				}
			}
		}
		&__icon-bar {
			display: none;
			cursor: pointer;
			margin: 0;
			@include MediaQuery($sm) {
				display: block;
			}
			i {
				font-size: 30px;
				color: $textBar;
			}
		}
		// .nav__input:checked ~ .header__navbar__drop {
		// 	transform: translateX(0%);
		// }
		&__overlay {
			z-index: 9998;
			position: fixed;
			top: 0;
			right: 0;
			left: 0;
			bottom: -10px;
			background-color: rgba(0, 0, 0, 0.3);
			display: none;
			animation: fadeIn linear 0.5s;
		}
		&__drop {
			z-index: 9999;
			position: fixed;
			top: 0;
			right: 0;
			bottom: 0;
			background-color: $textWhite;
			// box-shadow: 0 0 15px rgba(255, 255, 255, 0.5);
			width: 250px;
			max-width: 100%;
			transform: translateX(100%);
			transition: all 0.5s;
			opacity: 0;
			@include MediaQuery($xs) {
				width: 200px;
			}
			.drop__cancel {
				cursor: pointer;
				position: absolute;
				right: 20px;
				top: 2px;
				color: $textBar;
				z-index: 9999;
				i {
					font-size: 40px;
				}
			}
			ul {
				list-style: none;
				padding-left: 10px;
				.drop__login {
					margin-top: 50px;
					border-bottom: 1px solid #e9e9e9;
					a {
						color: #666;
						display: block;
						font-size: $fzH1;
						margin-bottom: 10px;
						@include MediaQuery($xs) {
							font-size: $fzH2;
						}
					}
				}
				.drop__signUp {
					padding-top: 10px;
					border-top: 1px solid #e9e9e9;
					a {
						color: #666;
						display: block;
						font-size: $fzH1;
						margin-bottom: 10px;
						@include MediaQuery($xs) {
							font-size: $fzH2;
						}
					}
				}
				li {
					margin: 20px 10px;
					a {
						text-decoration: none;
						color: #666;
						transition: all 0.2s;
						font-size: 14px;
						&:hover {
							color: #fb4226;
							i {
								margin-right: 20px;
							}
						}
						i {
							margin-right: 10px;
							transition: all 0.2s;
							color: #fb4226c4;
						}
					}
					i {
						color: #fb4226c4;
						margin-right: 10px;
					}
				}
			}
		}
	}
}
